﻿@using System.Web.UI.WebControls;
@using Toyota.Common.Web.Html;
@using Toyota.Common.Web.MVC;
@using Toyota.Common.Web.Html.Helper;
@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using Portal.Models.SupplierReconciliation;
@model Toyota.Common.Web.MVC.ModelHolder
<table border="0" style="width:100%">
    <tr>
        <table>
        <td align="left" style="width: 150px">Supplier <span style="color:Red;">*</span></td>
            
            <td style="width:350px">
               @Html.Common().DevExpress().GridLookup(
                gridLookup =>
                {
                    gridLookup.Name = "SRSupplier";
                    gridLookup.Width = 120;
                    gridLookup.DescriptionWidth = Unit.Pixel(270);
                    gridLookup.GridProperties.KeyFieldName = "SupplierCode;SupplierName";
                    gridLookup.GridProperties.CallbackRouteValues = new { Controller = "SupplierReconciliation", Action = "PartialHeaderSupplierLookupGridSR" }; 
                    gridLookup.ShowDescription = true;
                    gridLookup.GridProperties.SettingsBehavior.AllowSelectSingleRowOnly = true;
                    gridLookup.ReadOnly = true;
                    

                    //if (Model.GetModel<List<SupplierReconciliationMaster>>().Count == 1)
                    //{
                    //    gridLookup.Text = Model.GetModel<List<SupplierReconciliationMaster>>()[0].SupplierCode;
                    //}

                    if ((((System.Collections.Generic.List<Portal.Models.Globals.SupplierReconciliation>)(ViewData["SupplierReconciliationData"]))).Count == 1)
                    {
                        gridLookup.Text = (((System.Collections.Generic.List<Portal.Models.Globals.SupplierReconciliation>)(ViewData["SupplierReconciliationData"])))[0].SupplierCode;
                    }

                    gridLookup.GridProperties.Columns.Add(
                            Clm =>
                            {
                                Clm.Name = "SupplierCode";
                                Clm.FieldName = "SupplierCode";
                                Clm.Caption = "Code";
                                Clm.Width = Unit.Pixel(80);
                                Clm.CellStyle.HorizontalAlign = HorizontalAlign.Center;
                                Clm.CellStyle.VerticalAlign = VerticalAlign.Middle;
                            });

                    gridLookup.GridProperties.Columns.Add(
                        Clm =>
                        {
                            Clm.Name = "SupplierName";
                            Clm.FieldName = "SupplierName";
                            Clm.Caption = "Name";
                            Clm.Width = Unit.Pixel(320);
                            Clm.CellStyle.HorizontalAlign = HorizontalAlign.Left;
                            Clm.CellStyle.VerticalAlign = VerticalAlign.Middle;
                        });
                }).Bind(ViewData["SupplierReconciliationData"]).GetHtml()                            
            
            </td>
            <td style="width: 135px"></td>
            <td align="left" style="width: 100px">
                Progress
            </td>
            <td>
                @Html.DevExpress().ComboBox(
                    tboxSettings =>
                    {
                        tboxSettings.Name = "Progress";
                        tboxSettings.Width = Unit.Pixel(130);
                        tboxSettings.Enabled = true;
                        tboxSettings.Properties.Items.Add("All", "");
                        tboxSettings.Properties.Items.Add("Initial", "Initial");
                        tboxSettings.Properties.Items.Add("In Progress", "In Progress");
                        tboxSettings.Properties.Items.Add("Confirmed", "Confirmed");
                        tboxSettings.Properties.Items.Add("TMMIN Feedback", "TMMIN Feedback");
                        tboxSettings.Properties.Items.Add("Approved", "Approved");
                    }).GetHtml()
            </td>    
       </table> 
    </tr>
    <tr>
        <table>
        <td align="left" style="width: 150px">
            Balance as of end month <span style="color:Red;">*</span>   
        </td>
        <td>
            @Html.DevExpress().TextBox(
            SetText =>
            {
                SetText.Name = "BalanceEndMonth";
                SetText.Properties.EnableClientSideAPI = true;
                SetText.Text = ViewBag.FromDate;
                        
                SetText.Width = 120;

            }).GetHtml()                
        </td>
        </table>
     </tr>
     <tr>
        <table>
        <tr>
        <td align="left" style="width:150px">
            @Html.DevExpress().Label(
                label =>
                {
                    label.ControlStyle.CssClass = "Label";
                    label.Text = "Upload Feedback";
                }).GetHtml()
        </td>
         
        <td align="left">
            @using (Html.BeginForm("DownloadCallback", "SupplierReconciliation", FormMethod.Post, new { enctype = "multipart/form-data" }))
            {
                @Html.DevExpress().UploadControl(
                    upload =>
                    {
                        upload.AddButton.Text = "Browse";
                        upload.Name = "btnBrowseSR";
                        upload.CallbackRouteValues = new { Controller = "SupplierReconciliation", Action = "OnUploadCallbackRouteValues" };
                        //upload.ClientSideEvents.FileUploadComplete = "OnSRFileUploadComplete";

                        upload.Width = Unit.Pixel(190);

                        upload.ValidationSettings.MaxFileSize = 10000000;
                        upload.ValidationSettings.MaxFileSizeErrorText = "The size of file uploaded larger than allowed";
                        upload.ValidationSettings.AllowedFileExtensions = new String[] { ".xls", ".xls" };
                        upload.ValidationSettings.NotAllowedFileExtensionErrorText = "Excel only";
                        upload.ValidationSettings.ShowErrors = true;
                        upload.ClientSideEvents.FileUploadComplete = "OnUploadComplete";

                        upload.Style.Add("display", "inline-table");
                        //upload.Enabled = false;
                    }).GetHtml()
            }
                    
          </td>
          <td>
                @Html.DevExpress().Button(
                    button =>
                    {
                        button.Name = "btnUploadSR";
                        button.Text = "Upload";
                        button.Width = Unit.Pixel(80);
                        button.Style.Add("display", "inline-table");
                        button.ClientSideEvents.Click = "UploadData";
                        button.ClientEnabled = false;
                        button.EnableClientSideAPI = true;
                    }).GetHtml()

                     
         </td>
         
         <td style="width:50px;"></td>
         <td align="left">       
            @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "btnDownloadSR";
                    button.Text = "Download";
                    button.Width = Unit.Pixel(80);
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "DownloadData";
                }
            ).GetHtml()
        </td>
        
        <td>
            @Html.DevExpress().Button(
                button =>
                {
                    button.Name = "btnSearchSR";
                    button.Text = "Search";
                    button.Width = Unit.Pixel(80);
                    button.Style.Add("display", "inline-table");
                    button.ClientSideEvents.Click = "SearchData";
                }
            ).GetHtml()
         </td>
         <td style="width:40px;"></td>
         <td>
                @Html.DevExpress().Button(
                    button =>
                    {
                        button.Name = "btnAddSR";
                        button.Text = "Add";
                        button.Width = Unit.Pixel(80);
                        button.Style.Add("display", "inline-table");
                        button.ClientSideEvents.Click = "AddData";
                        //button.ClientEnabled = false;
                        //button.EnableClientSideAPI = true;
                    }).GetHtml()
         </td>
         <td>
                @Html.DevExpress().Button(
                    button =>
                    {
                        button.Name = "btnEditSR";
                        button.Text = "Edit";
                        button.Width = Unit.Pixel(80);
                        button.Style.Add("display", "inline-table");
                        button.ClientSideEvents.Click = "EditData";
                        //button.ClientEnabled = false;
                        button.EnableClientSideAPI = true;
                    }).GetHtml()
         </td>
         <td>
                @Html.DevExpress().Button(
                    button =>
                    {
                        button.Name = "btnDeleteSR";
                        button.Text = "Delete";
                        button.Width = Unit.Pixel(80);
                        button.Style.Add("display", "inline-table");
                        button.ClientSideEvents.Click = "DeleteData";
                        //button.ClientEnabled = false;
                        //button.EnableClientSideAPI = true;
                    }).GetHtml()
         </td>
         <td style="width:50px;"></td>
         <td>
                @Html.DevExpress().Button(
                    button =>
                    {
                        button.Name = "btnSaveSR";
                        button.Text = "Save";
                        button.Width = Unit.Pixel(80);
                        button.Style.Add("display", "inline-table");
                        button.ClientSideEvents.Click = "SaveData";
                        button.ClientEnabled = false;
                        button.EnableClientSideAPI = true;
                    }).GetHtml()
         </td>
         <td>
                @Html.DevExpress().Button(
                    button =>
                    {
                        button.Name = "btnConfirmSR";
                        button.Text = "Confirm";
                        button.Width = Unit.Pixel(80);
                        button.Style.Add("display", "inline-table");
                        button.ClientSideEvents.Click = "ConfirmData";
                        button.ClientEnabled = false;
                        button.EnableClientSideAPI = true;
                    }).GetHtml()
         </td>
         
         <td style="width:47px;"></td>
         <td>
                @Html.DevExpress().Button(
                    button =>
                    {
                        button.Name = "btnReconcileSR";
                        button.Text = "Reconcile";
                        button.Width = Unit.Pixel(80);
                        button.Style.Add("display", "inline-table");
                        button.ClientSideEvents.Click = "ReconcileData";
                        button.ClientEnabled = false;
                        button.EnableClientSideAPI = true;
                    }).GetHtml()
         </td>
         </tr>
        </table> 
    </tr>
</table>
